Connection Allowed Devices

List

get

Retrieve a list of all the settings for RAS allowed devices

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve all the settings for RAS allowed devices (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Allowed Devices Settings

allowClientWithSecurityPatchesOnlybooleanOptional

Whether clients with security patches installed are only allowed to connect.

allowClientChromeAppbooleanOptional

Whether ChromeApp clients are allowed or not

allowClientAndroidbooleanOptional

Whether Android clients are allowed or not.

allowClientWebbooleanOptional

Whether Web clients are allowed or not.

allowClientIOSbooleanOptional

Whether IOS clients are allowed or not.

allowClientLinuxbooleanOptional

Whether Linux clients are allowed or not.

allowClientMACbooleanOptional

Whether MAC clients are allowed or not.

allowClientModestring · enumOptional

Allow Mode

Possible values:
allowClientWindowsbooleanOptional

Whether Windows clients are allowed or not.

allowClientWysebooleanOptional

Whether Wyse clients are allowed or not.

replicateSettingsbooleanOptional

Whether replication of settings to other sites is enabled or not.

siteIdinteger · int32Optional

The site ID to which the allowed device settings refer.

minBuildChromeAppinteger · int32Optional

Represents the minimum build required for the ChromeApp client.

minBuildAndroidinteger · int32Optional

Represents the minimum build required for the Android client.

minBuildWebinteger · int32Optional

Represents the minimum build required for the Web client.

minBuildIOSinteger · int32Optional

Represents the minimum build required for the IOS client.

minBuildLinuxinteger · int32Optional

Represents the minimum build required for the Linux client.

minBuildMACinteger · int32Optional

Represents the minimum build required for the MAC client.

minBuildWindowsinteger · int32Optional

Represents the minimum build required for the Windows client.

minBuildWyseinteger · int32Optional

Represents the minimum build required for the Wyse client.

get
/api/ConnectionAllowedDevices

Update

put

Update settings of a RAS allowed device

Query parameters
SiteIdinteger · int32Optional

ID of the site for which the RAS Allowed device settings will be updated

Body

Update allowed devices settings

allowClientWithSecurityPatchesOnlyboolean · nullableOptional

Allow clients with security patches only.

allowClientModestring · enumOptional

Allow Mode

Possible values:
allowClientChromeAppboolean · nullableOptional

Allow ChromeApp clients.

allowClientAndroidboolean · nullableOptional

Allow Android clients.

allowClientWebboolean · nullableOptional

Allow Web clients.

allowClientIOSboolean · nullableOptional

Allow IOS clients.

allowClientLinuxboolean · nullableOptional

Allow Linux clients.

allowClientMACboolean · nullableOptional

Allow Mac clients.

allowClientWindowsboolean · nullableOptional

Allow Windows clients.

allowClientWyseboolean · nullableOptional

Allow Wyse clients.

replicateSettingsboolean · nullableOptional

Enable/disable replication of settings to other sites.

minBuildChromeAppinteger · int32 · nullableOptional

Represents the minimum build required for the Chromeapp client.

minBuildAndroidinteger · int32 · nullableOptional

Represents the minimum build required for the Droid client.

minBuildWebinteger · int32 · nullableOptional

Represents the minimum build required for the Web client.

minBuildIOSinteger · int32 · nullableOptional

Represents the minimum build required for the IOS client.

minBuildLinuxinteger · int32 · nullableOptional

Represents the minimum build required for the Linux client.

minBuildMACinteger · int32 · nullableOptional

Represents the minimum build required for the Mac client.

minBuildWindowsinteger · int32 · nullableOptional

Represents the minimum build required for the Windows client.

minBuildWyseinteger · int32 · nullableOptional

Represents the minimum build required for the Wyse client.

Responses
put
/api/ConnectionAllowedDevices

No content